Package Details: swordandsworcery 1.02-2

Git Clone URL: https://aur.archlinux.org/swordandsworcery.git (read-only, click to copy)
Package Base: swordandsworcery
Description: An exploratory action adventure videogame with an emphasis on audiovisual style (game sold separately)
Upstream URL: http://www.swordandsworcery.com/
Licenses: custom
Submitter: ejona86
Maintainer: ejona86
Last Packager: ejona86
Votes: 10
Popularity: 0.000000
First Submitted: 2012-06-02 04:52
Last Updated: 2015-06-20 16:17

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

ejona86 commented on 2012-08-18 05:03

Updated PKGBUILD for 1.02. When a new version is out, you can just click "Flag Out-of-date".

lib32-libpulse is not a dependency of swordandsworcery. When your alsa is configured to use pulseaudio, then it becomes a dependency, but it is specific for your computer.

fettouhi commented on 2012-08-17 17:57

For those using the version from HIB5 here is a modified PKGBUILD:

# Maintainer: Eric Anderson <ejona86 at gmail dot com>

pkgname=swordandsworcery
pkgver=1.02
pkgrel=1
pkgdesc="An exploratory action adventure videogame with an emphasis on audiovisual style (game purchased separately)"
url="http://www.swordandsworcery.com/"
license=('custom')
arch=('i686' 'x86_64')
if [ "$CARCH" == "x86_64" ]; then
depends=('lib32-mesa' 'lib32-curl' 'lib32-sdl' 'lib32-gcc-libs')
else
depends=('mesa' 'curl' 'sdl' 'gcc-libs')
fi
options=(!strip)
_gamepkg="${pkgname}_${pkgver}.tar.gz"
source=("${pkgname}.desktop"
'http://www.swordandsworcery.com/storage/icon_512.png'
"${_gamepkg}")
md5sums=('cc5a308dbd2d19c3b183fab755f2d396'
'071d74203e593188ee28c0913d57d4ff'
'2ede02c0552baeb12979bf9a68fdf399')
_gamedirname=SwordAndSworceryEP
PKGEXT='.pkg.tar'

package(){
cd ${srcdir}

mkdir -p "${pkgdir}/opt/"
mkdir -p "${pkgdir}/opt/${_gamedirname}/"
cp -R "${srcdir}/bin" "${pkgdir}/opt/${_gamedirname}/bin"
cp -R "${srcdir}/lib" "${pkgdir}/opt/${_gamedirname}/lib"
cp -R "${srcdir}/res" "${pkgdir}/opt/${_gamedirname}/res"
cp -R "${srcdir}/run.sh" "${pkgdir}/opt/${_gamedirname}/run.sh"

# Use system-provided versions
rm "${pkgdir}/opt/${_gamedirname}/lib/libstdc++.so.6.0.16"
rm "${pkgdir}/opt/${_gamedirname}/lib/libstdc++.so.6"
rm "${pkgdir}/opt/${_gamedirname}/lib/libcurl.so"
rm "${pkgdir}/opt/${_gamedirname}/lib/libSDL-1.2.so.0"

install -D -m644 "${srcdir}/icon_512.png" \
"${pkgdir}/opt/${_gamedirname}/icon_512.png"

install -D -m644 "${srcdir}/${pkgname}.desktop" \
"${pkgdir}/usr/share/applications/${pkgname}.desktop"

install -D -m644 "${srcdir}/eula.txt" \
"${pkgdir}/usr/share/licenses/${pkgname}/eula.txt"

mkdir -p "${pkgdir}/usr/bin"
ln -s "/opt/${_gamedirname}/run.sh" "${pkgdir}/usr/bin/${pkgname}"
}

Chais commented on 2012-07-12 18:29

Please add lib32-libpulse to the dependencies for x64

ejona86 commented on 2012-06-18 01:10

brotatos: 1.0-3 should fix your issue. If not, tell me.

brotatos commented on 2012-06-17 01:10

I'm on 64bit and I ran the swordandsworcery through bash; however, I still get that error.

ejona86 commented on 2012-06-15 19:33

brotatos: you run via /use/bin/swordandsworcery . If that doesn't fix it, are you on a 32 or 64 bit?

brotatos commented on 2012-06-15 18:42

When I try to run it, I get this error:

./swordandsworcery: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

ejona86 commented on 2012-06-02 17:37

gtmanfred: Awesome, thanks for noticing. I actually already had fixed it locally, but since it wasn't hurting anything I didn't want to make a new revision. After a couple more days, if nobody has found a functional issue (because I am confident the depends is wrong, for instance) I'll make a new revision for "cosmetic" changes.

gtmanfred commented on 2012-06-02 16:58

you do not need anything in the build function, since the tar.gz is in the source array, you are just extracting everything twice

gtmanfred commented on 2012-06-02 16:57

you do not need anything in the build directory, since the tar.gz is in the source array, you are just extracting everything twice